<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ext="java:lu.bourse.api.deposant.action.xsl.XslManager"
	xmlns:ns="http://www.bourse.lu/rap/O42"
	xmlns:fnbourse="http://www.bcl.lu/2006/bcl-xpath-functions"
	version="2.0">

	<xsl:output method="xml" indent="yes" />
	<xsl:param name="spaceParam" />
	<xsl:param name="ficOri" />
	<xsl:param name="ligneOri" />
	

	<!--  -->
	<!-- Début Partie sur les Tests de Contrôles liées aux fichiers Déposés -->
	<!--  -->

	<xsl:template match="/ns:MsgInO42">
		<xsl:apply-templates select="ns:SeqInO42/ns:Conc1" />
	</xsl:template>
	
	<xsl:template match="ns:Conc1">
		<xsl:apply-templates select="ns:Context" />
		<xsl:apply-templates select="ns:P100" />
	</xsl:template>
	
	<xsl:template match="ns:Context">
		<!-- Test Code devise -->
		<xsl:value-of
			select="ext:testCodDev($ficOri, $ligneOri, 'Code Devise', ns:Dev/ns:CdDevIso, $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		
		<xsl:apply-templates select="ns:CollCompartRapO42" />
	</xsl:template>
	
	<xsl:template match="ns:CollCompartRapO42">
		<!-- Test DATE SUPERIEURE -->
		<xsl:value-of
			select="ext:testDateSuperieureStrict($ficOri, $ligneOri, 'Date de Fin de Période', ns:DtFinRap, 'Date de Début de Période', ns:DtDebRap, 'yyyy-MM-dd', $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		
		<!-- Test CODES CSSF (FONDS, COMPARTIMENTS) OBLIGATOIRES -->
		<xsl:value-of
			select="ext:testCodesObligatoires($ficOri, $ligneOri, ns:CdCssfOpc, ns:CdCssfCompart, $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		
		<!-- Test VALEUR (POSITIVE, NEGATIVE) -->
		<xsl:value-of
			select="ext:testPositifNegatifStrict($ficOri, $ligneOri, 'Taux de Change', format-number(ns:TxChge * 100000, '######'), 'true', 'true', $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>
	
	<xsl:template match="ns:P100">
		<!-- Test SOMME -->
		<xsl:value-of
			select="ext:testAdditionChampsO42($ficOri, $ligneOri, ns:L100/ns:Mt, ns:L101/ns:Mt, ns:L102/ns:Mt, ns:L103/ns:Mt, $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>

</xsl:stylesheet>
